2012-04-29  Evan Nemerson  <evan@coeus-group.com>

	Release 0.1.1

2012-01-09  Evan Nemerson  <evan@coeus-group.com>

	Pass make distcheck

2011-07-29  Evan Nemerson  <evan@coeus-group.com>

	Fix C documentation generation

2011-07-27  Evan Nemerson  <evan@coeus-group.com>

	Get sqlheavy-gen-orm working again

2011-07-17  Evan Nemerson  <evan@coeus-group.com>

	Release 0.1.0

	Update debian packaging

	Pass make distcheck

2011-07-16  Evan Nemerson  <evan@coeus-group.com>

	Move SQLHeavy.GtkModel to SQLHeavyGtk.Model.

2011-07-15  Evan Nemerson  <evan@coeus-group.com>

	Initial GTK+ integration.
	Lots of work left to be done, but this provides a basic GtkTreeModel
	implementation, as well as a sample application. Fixes bug 6.

	Make Query.execute_insert variadic

2011-07-14  Evan Nemerson  <evan@coeus-group.com>

	Execute VersionedDatabase updates in a transaction

	Execute Queryable.run_script statements in a transaction

	Improve Query.execute/run API
	Deprecate running multiple statements in Query.execute so we can return
	a QueryResult. Old behavior moved to Query.run. Old Query.run behavior
	moved to a private run_internal function, since it shouldn't really
	need to be used by anthing other than Query.run_script.

2011-07-12  Evan Nemerson  <evan@coeus-group.com>

	Add Queryable.queue interface and use it for transactions.

2011-07-09  Evan Nemerson  <evan@coeus-group.com>

	Add Queryable.execute_insert

	Temporarily disable gtk-doc since it is segfaulting.

	Fix bug in Queryable.execute when there is no trailing whitespace.

	Documentation fix for Queryable.execute

	Add Transaction.commit_async and Transaction.rollback_async
	Fixes bug 10.

	Wrap Queryable.execute in a transaction.

	Mark Query.queryable as unowned.
	This allows us to run queries on queryables that are being destroyed
	(refcount < 1). Specifically, Transactions will now automatically
	be properly aborted when they are unreffed without being committed.

	Make Queryable.execute behave more like Query.execute
	The old Queryable.execute implementation has been moved to
	Queryable.run. Technically this is an API/ABI break, but I doubt
	anyone is using SQLHeavy in a way that will actually break. You would
	need to be passing a length to Queryable.execute, and only
	Queryable.run_script had a good reason to do that.

	Remove SQLHeavyDatabasePool.
	The current plan is to create a Connection class, and have the pool
	functionality be part of Database and make it transparent.

2011-06-28  Jim Nelson  <jim@yorba.org>

	Complete async calls in the thread context first called from.
	SQLHeavy.QueryResult.next_internal_async() was sometimes completing the
	call in a background thread's context rather than the thread context of
	the caller.  This is problematic for GTK work.

	This patch now schedules the callback on the thread's default
	MainContext in the idle loop.

	Fixes bug 9.

2011-06-08  Jim Nelson  <jim@yorba.org>

	Fixed VersionedDatabase construction for new databases.
	Fixes bug 2.

2011-06-08  Evan Nemerson  <evan@coeus-group.com>

	Bump vala dependency to 0.12, fix some warnings.
	Fixes bug 1.

2011-01-23  Evan Nemerson  <evan@coeus-group.com>

	Use AM_V_GEN for g-ir-compiler invocation.

	Enable GIR generation and add some comments to sqlheavy/Makefile.am

2010-12-11  Evan Nemerson  <evan@coeus-group.com>

	Fix inserting a row with multiple non-default values in ORM.

2010-12-10  Evan Nemerson  <evan@coeus-group.com>

	Updates for vala 0.11.2

2010-10-30  Evan Nemerson  <evan@coeus-group.com>

	Use GInitable for Query.

	Use GInitable for Database.

	Replace FormalParameter with Parameter.

	Bump Vala dependency to 0.11.0.

2010-10-10  Evan Nemerson  <evan@coeus-group.com>

	Update to latest valac git master.

	Clean up a GCC warning.

2010-09-29  Evan Nemerson  <evan@coeus-group.com>

	Depend on vala patches likely to be included sooner rather than later.

	Rework bindings, no longer require 1:1 Query:QueryResult.

	Pass --use-header to valac.

	Clean up a deprecation warning with newer valac.

2010-09-23  Evan Nemerson  <evan@coeus-group.com>

	Add SQLHeavy.ValueArray.

2010-09-21  Evan Nemerson  <evan@coeus-group.com>

	Update sqlheavy-gen-orm to Vala git master.

	Work around Vala bug when using va_list () as an argument.

2010-09-17  Evan Nemerson  <evan@coeus-group.com>

	Make Query.set_list throw SQLHeavy.Error.

	Update for vala switch from character to byte offset strings.

	Add comparison functions.

2010-08-20  Evan Nemerson  <evan@coeus-group.com>

	Make SQLHeavy.Query.execute variadic.

	Don't require ':' or '@' prefix for binding named parameters.

	Fix param name in documentation of Database.get_table.

2010-08-19  Evan Nemerson  <evan@coeus-group.com>

	Lots of documentation fixes.

	Cache Table objects in Database and do change notification in Tables.

	Use vala-0.12 instead of vala-0.10.

	Fix type-o in Query.parameter_index valadoc comment.

2010-08-18  Evan Nemerson  <evan@coeus-group.com>

	Allow null for VersionedDatabase filenames.

2010-08-17  Evan Nemerson  <evan@coeus-group.com>

	Rollback uncommitted transactions when they are destroyed.

2010-08-16  Evan Nemerson  <evan@coeus-group.com>

	Do not restart the execution timer for every step call.

	Set default value for several SQLHeavy.Record methods.

2010-08-03  Evan Nemerson  <evan@coeus-group.com>

	Minor documantation fixes.

	Add missing documentation for errors.

	Update library name in pkg-config file.

	Fix lintian warnings.

	Remove debian/files.

	Create directory for gtk-doc before copying to it.

	Add man page to sqlheavy-utils package.

	Set up debian/watch for use with google code.

	Ignore config.h when generating documentation.

2010-08-02  Evan Nemerson  <evan@coeus-group.com>

	Build gtkdoc output before trying to install it.

	Build gtkdoc by default when valadoc is installed.

	Replace all 1.0 instances in Makefile.am with @SQLHEAVY_API_VERSION@.

2010-07-31  Evan Nemerson  <evan@coeus-group.com>

	Add Cursor interface and TableCursor class.

2010-07-30  Evan Nemerson  <evan@coeus-group.com>

	Add missing documentation for MtableRecord, Query, and RecordSet.

	Document Transaction.resolve method.

	Document internal value methods.

	Document Verion members, add Version.library and Version.sqlite_library.

2010-07-29  Evan Nemerson  <evan@coeus-group.com>

	Add SQLHEeavy.Query.get_table.

2010-07-28  Evan Nemerson  <evan@coeus-group.com>

	Allow overriding defaults of some settings with environment variables.
	Currently, there are SQLHEAVY_PROFILING_DATA,
	SQLHEAVY_SYNCHRONOUS_MODE, AND SQLHEAVY_JOURNAL_MODE. More may be added
	in the future.

	Set synchronous = OFF and journal_mode = OFF for ProfilingDatabase.

	Add SQLHeavy.Query.clear.

	Remove SQLHeavy.Statement.

2010-07-27  Evan Nemerson  <evan@coeus-group.com>

	Add async methods to SQLHeavy.Query and SQLHeavy.QueryResult.

	Add documentation for SQLHeavy.Query.

	Add documentation for SQLHeavy.QueryResult.

	Add slightly faster paths for SQLHeavy.QueryResult.fetch*.

	Port SQLHeavyQueryable and implementations to SQLHeavyQuery.

	Port SQLHeavyTable to SQLHeavyQuery.

	Port SQLHeavyRow to SQLHeavyQuery.

	Add sqlheavy/config.{h,h.in} to .gitignore.

	Start separating Statement into Query and QueryResult.

2010-07-26  Evan Nemerson  <evan@coeus-group.com>

	Add support for WAL related functions.

	Get sqlheavy-gen-orm output working properly.

	Remove TransactionStack class.

2010-07-25  Evan Nemerson  <evan@coeus-group.com>

	Add SQLHeavy.Database.backup_async.

	Add config.vapi, make sure it isn't .gitignored.

	Use Statement.set* and bind* instead of bind* and bind_index*.

	Move Row.set to MutableRecord.set.

	Split MutableRecord out of Record.

2010-07-24  Evan Nemerson  <evan@coeus-group.com>

	Move Record.set to Statement.set and Row.set.
	Statement.set is basically an alias for Statement.bind_value and
	Row.set is basically an alias for Row.put.

	Add sqlheavy-profiling-database.vala.

	Add ProfilingDatabase.

	Add SQLHeavy.Config namespace.

	Add SQLHeavy.Version namespace.

	Use 0.1 instead of 1.0 for the API version.

	Pass make distcheck.

	Update ORM generator to use get/set instead of fetch_named/put_named.

	Add some missing documentation in SQLHeavy.DatabasePool.

	Replace '_' with '-' in notify_property calls in the ORM generator.

	s/put_named/set/, add SQLHeavy.Row.set and SQLHeavy.Row.auto_save.

	s/fetch_named/get/, add SQLHeavy.Row.get method.

2010-07-18  Evan Nemerson  <evan@coeus-group.com>

	Bump Debian packaging valac dependency to 0.9.2.

	Disable building GObject introspection.
	GObject introspection support is currently blocked by b.g.o. #619865.

	Update documentation to use Statement.bind_value instead of bind

2010-07-03  Evan Nemerson  <evan@coeus-group.com>

	Rename SQLHeavy.Statement.bind to bind_value.
	The plan is to make bind accept variable arguments (groups of string
	name, GLib.Type type, T value) when Vala support for va_args improves.
	Currently, at least b.g.o. #620673 needs to be fixed.

	Add SQLHeavy.JornalMode.WAL.
	See http://www.sqlite.org/draft/wal.html

	Replace GLib.PtrArray with GLib.GenericArray

2010-06-15  Evan Nemerson  <evan@coeus-group.com>

	Lower autoconf requirement to 2.64, for Ubuntu 9.10.

	Bump valac dependency to 0.9.1.

2010-06-07  Evan Nemerson  <evan@coeus-group.com>

	Add *_LIBS to LDFLAGS.

2010-06-03  Evan Nemerson  <evan@coeus-group.com>

	Add basic JavaScript (seed) example.

	Don't use hex notation for enum values.

2010-05-27  Evan Nemerson  <evan@coeus-group.com>

	Add examples/dbpool to .gitignore

	Enable gobject-introspection
	Depends on https://bugzilla.gnome.org/show_bug.cgi?id=619865

2010-05-13  Evan Nemerson  <evan@coeus-group.com>

	Implement execute and prepare methods in DatabasePool.

2010-05-12  Evan Nemerson  <evan@coeus-group.com>

	Fix documentation generation.

	Add SQLHeavy.DatabasePool.

2010-05-05  Evan Nemerson  <evan@coeus-group.com>

	Don't leak GSequences inserted into GHashTables.

2010-05-04  Evan Nemerson  <evan@coeus-group.com>

	Remove some hacks that are not needed with new versions of vala.

	Fixes for internal and private documenation.

	Move gthread-2.0 and sqlite3 into Requires.private.

	Add support for row inserted/deleted notifications.

2010-05-03  Evan Nemerson  <evan@coeus-group.com>

	Use bind/bind_index instead of bind_named/bind.

2010-05-02  Evan Nemerson  <evan@coeus-group.com>

	Port changes from wiki to sqlheavy-gen-orm man page.

	Add Statement.fetch_result_time_t method.

	Use G_TYPE_POINTER instead of G_TYPE_NONE for null values.

	Fix warnings about uncaught exceptions thrown by Row.update_cache.

	Make caching row data optional (defaults to on).

	Have sqlheavy-gen-orm handle change notifications.

2010-05-01  Evan Nemerson  <evan@coeus-group.com>

	Use cached data when fetch function is called on an SQLHeavy.Row.

	Field level change notifications.

	Add Statement.fetch_result_row.

	Use sqlite3_update_hook for change notifications instead of a trigger.

	Support change notifications for row updates.

2010-04-30  Evan Nemerson  <evan@coeus-group.com>

	Work on documenting the internal and private APIs.

	Add support for fetching rows in foreign tables (using foreign keys).

	Statement: add source of data in a query functions.

	Add support for time_t fields.

	docs: remove valadoc stuff from sqlheavy-gen-orm man page.

	docs: update man page for sqlheavy-gen-orm.

	sqlheavy-orm-gen: fix --help output.

	sqlheavy-gen-orm: parse metadata files.

	Rewrite sqlheavy-gen-orm using libvala.

	Add SQLHeavy.Record.delete method.

2010-04-29  Evan Nemerson  <evan@coeus-group.com>

	Update Debian packaging.

	Documentation for the sqlheavy-gen-orm utility.

	Remove ORM namespace, put the contents in SQLHeavy.

	Mark non-abstract interface methods as virtual (nice for the C API).

2010-04-28  Evan Nemerson  <evan@coeus-group.com>

	Improve sqlheavy-gen-orm.

	Remove generated files.

	Add a very basic sqlheavy-gen-orm executable.

	Document ORM.

	Several naming consistency adjustments for ORM.Table.

	Have SQLHeavy.ORM.Row implement SQLHeavy.Record.

	Add put* methods to Record interface.

	Replace "column" with "field".

	Split Record interface out of Statement class.

	Add very basic ORM support.

	SQLHeavy.Database.backup should throw SQLHeavy.Error, not GLib.Error.

2010-04-27  Evan Nemerson  <evan@coeus-group.com>

	Add remaining_pages and total_pages properties to SQLHeavy.Backup.

	Add documentation for backup functionality.

	Add SQLHeavy.Database.backup method.

	Add basic SQLHeavy.Backup class.

	Throw an error on failure to open DB, instead of emitting a critical.

2010-04-26  Evan Nemerson  <evan@coeus-group.com>

	Get ready to enable experimental non-null in valac.

2010-04-25  Evan Nemerson  <evan@coeus-group.com>

	Add .gitignore for examples.

	Use RAW compression instead of ZLIB (saves a few bytes of header).

	Merge Statement.step_handle functionality into step_internal.

	Integrated examples into build system.

	Add SQLHeavy.Statement.execute_insert_async.

	Split out step_internal_async, and make step_async actually work.

	Small improvements to async example.

2010-04-24  Evan Nemerson  <evan@coeus-group.com>

	Improve documentation of Transaction class.

2010-04-22  Evan Nemerson  <evan@coeus-group.com>

	Name package SQLHeavy instead of sqlheavy-1.0 in documentation.

	Update README.

	Add some examples. Need a lot more.

	Split common functions into their own namespace and file.

	Implement COMPRESS and DECOMPRESS user functions.

2010-04-21  Evan Nemerson  <evan@coeus-group.com>

	Install sqlheavy-1.0.deps.
	gio-2.0 is required for GCancellable.

	Add MD5, SHA-1, and SHA-256 user functions.

	Improve documentation for VersionedDatabase.

	Revert previous (96bc).
	valac from git master is still generating 0.8.0 version numbers.

	Bump valac dependency to 0.8.1.
	Even with 0.8.1 installed, SQLHeavy still requires the patch attached
	to bug https://bugzilla.gnome.org/show_bug.cgi?id=615481 to compile.

	Add Debian packaging.

	Add print_table method to Statement and Queryable.

2010-04-20  Evan Nemerson  <evan@coeus-group.com>

	Add Statement.column_names

	Add methods for reading entire rows and tables at once.

	Rename valadoc directory to docs.

	Get ready to enable gtkdoc generation from valadoc.

	Add generated documentation to .gitignore.

	Build standard valadoc documentation, but do not install it.

	Integrate valadoc into build system, install documentation for devhelp

	Use a GValueArray instead of a GSList for user function parameters.

	Improve SQLHeavy.Statement.execute_async
	This will lock the queryable, and fix the error handling when the
	operation is cancelled while waiting for a lock (as opposed to while
	the query is running).

	Make SQLHeavy.Statement.queryable construct only.

	Add SQLHeavy.Statement.clear_bindings

	Link to SQLite documentation instead of copying it.

	Rework the error handling code a bit.

	Add SQLHeavy.Statement.execute_async.

	Improve documentation of user functions.

2010-04-19  Evan Nemerson  <evan@coeus-group.com>

	Fix a couple bad references in the documentation

2010-04-17  Evan Nemerson  <evan@coeus-group.com>

	Add SQLHeavy.Database.lookaside_used.

	Updates for newer sqlite3 bindings

	Fix statement construction.

	Add internal sqlite_errstr function.

2010-04-11  Evan Nemerson  <evan@coeus-group.com>

	Make sure internal symbols don't appear in the public C API.

	Rename functions related to result metadata, add some documentation.

	Use GByteArray for blobs, clean up Value handling.

	Require glib-2.0 >= 2.22, and have Vala target the installed version

	Fix documenation of Statement creation methods

	Add so to valadoc for gtkscan-gobj.

	Remove unnecessary comma after some @param names

2010-04-10  Evan Nemerson  <evan@coeus-group.com>

	Add secure_delete pragma

	Improve documentation

	Add TransactionStack

	Start trying to get gtkdoclet working.

	Use Sqlite.UTF8 for text encoding, instead of enum'd value

	Fix support for user defined functions

2010-04-05  Evan Nemerson  <evan@coeus-group.com>

	Update user functions to updated sqlite vapi

2010-02-06  Evan Nemerson  <evan@coeus-group.com>

	Reset statement after fetch_result_*

2010-02-05  Evan Nemerson  <evan@coeus-group.com>

	Improve profiling data.

	Partially document SQLHeavy.Error

	Document enums

	Document user defined functions API

	Document all implemented pragmas.

	Add profiling support

	Add sqlheavy-transaction.vala

	Document VersionedDatabase

	Document Blob.

	Add initial transaction support.

	Split Queryable out of Database

	Remove obsolete test.vala

	Build valadoc

	Remove get_column_declared_type ()

	Enable silent makefile rules.

	Add fetch_named* () methods.

	Clean up GValue code.

2010-02-04  Evan Nemerson  <evan@coeus-group.com>

	Add Statement.bind ().

	Add some documentation.

	Remove ThreadPool code.

	Initial work on user functions.

2010-02-03  Evan Nemerson  <evan@coeus-group.com>

	Make Statement.fetch return null if data is NULL
	GLib doesn't seem to like a GValue with G_TYPE_VOID (issues warnings)

2010-01-31  Evan Nemerson  <evan@coeus-group.com>

	Improve SQLHeavy.Statement:finished support.

2010-01-21  Evan Nemerson  <evan@coeus-group.com>

	Make passing null to bind_string call bind_null.

	Add partial support for blobs.

2010-01-15  Evan Nemerson  <evan@coeus-group.com>

	Add lots of convenience functions for bindings and results.

	Improve versioned database support.

	Keep file name around in case it is useful later.

2009-12-11  Evan Nemerson  <evan@coeus-group.com>

	Get ready to start generating GIR data.

2009-12-10  Evan Nemerson  <evan@coeus-group.com>

	Fix SQLHeavy.Database.execute().

	Make a stronger effort when creating a new database.

2009-12-09  Evan Nemerson  <evan@coeus-group.com>

	Add SQLHeavyVersionedDatabase.

	Fix pkg-config include directory.

2009-12-08  Evan Nemerson  <evan@coeus-group.com>

	Add a lot of pragmas to SQLHeavy.Database.

	Use SQLHeavy version in pkg-config file, not the API version.

	Add some .gitignore.

	Initial import.
